VeritasDiskGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.veritas.VeritasDiskGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev.veritas
Interface VeritasDiskGroup

All Superinterfaces:
  Collection, ManagedElement, ModelObject, java.io.Serializable

    public interface VeritasDiskGroup

extends Collection

Veritas DiskGroup is a set of VM disks. It is a logical unit that groups together a set of VM disks. The storage capacity that compromises a single volume must be allocated from within a single disk group.

Naming Rules:
  0="service,diskGroupID"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDiskGroupID()` Uniqe ID of the DiskGroup.
`VeritasVMDisk[]` | `getDisks()`
`VeritasStorageService` | `getService()`
`boolean` | `hasDiskGroupID()`
`boolean` | `hasDisks()`
`boolean` | `hasService()`
`void` | `setDiskGroupID(java.lang.String x)`
`void` | `setDisks(VeritasVMDisk[] x)`
`void` | `setService(VeritasStorageService x)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getService

    VeritasStorageService getService()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setService

    void setService(VeritasStorageService x)

### hasService

    boolean hasService()

### getDiskGroupID

    java.lang.String getDiskGroupID()
                                    throws AttributeNotSetException

  Uniqe ID of the DiskGroup. The DGID is used in the control and management of disk groups.

  Throws:
    `AttributeNotSetException`

### setDiskGroupID

    void setDiskGroupID(java.lang.String x)

### hasDiskGroupID

    boolean hasDiskGroupID()

### getDisks

    VeritasVMDisk[] getDisks()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setDisks

    void setDisks(VeritasVMDisk[] x)

### hasDisks

    boolean hasDisks()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD